%numerical solution to Schroedinger equation for
%rectangular potential well with infinite barrier energy

length = 1;	                     %length of well (nm)
npoints=200;					 %number of sample points
x=linspace(0,length,npoints+1);	 %position of sample points
num_sol=5;			             %number of solutions sought

v = zeros(size(x));              %potential (eV)
v(x > 0.5) = 4;

[energy,phi]=schrod(length,npoints,v,num_sol);		%call Schrod.

for i=1:num_sol
    fprintf('eigenenergy (%d) = %f eV\n', i, energy(i));
end

figure(1);
plot(x,v,'b');xlabel('Distance (nm)'),ylabel('Potential energy, (eV)');

s = 'cbgrykm'; %colors for plot lines: cyan, blue, green, etc.
figure(2);
for i=1:num_sol
    j=1+mod(i,7);
    plot(x,phi(:,i),s(j));			   %plot eigenfunctions
    hold on;
end
xlabel('Distance (nm)'),ylabel('Wave function');
hold off;