% I-V curve of resonant tunneling diode

clear V J
V = linspace(0, 0.5, 50); % voltage across the diode

kT = 0.025; % temperature
Ef = 0.1;   % Fermi level

J = zeros(size(V)); % current in arbitrary units

for ii = 1:length(V)
    [t,e] = mytunnel(V(ii),0.8); drawnow;
    J(ii) = sum(t.*log((1+exp((Ef-e)/kT))./(1+exp((Ef-V(ii)-e)/kT))))*(e(2)-e(1));
end

figure(2)
plot(V, J, '.-');
xlabel('voltage (V)'); ylabel('current (a.u.)');